跳到內容

記錄會員對某份法律文件現行版本的接受

POST
/v1/me/acceptances
curl --request POST \
--url https://api.vimine.network/v1/me/acceptances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "kind": "example", "version": "example", "sha256": "example" }'

寫入一條證明記錄(管道為 api,並註明您的應用):帳戶層文件(platform_terms 為接受,platform_privacy 為確認已閱讀,network_consent 為同意),或本協會的 privacy_notice(確認已閱讀)。version(已發布時還有 sha256)必須指明您的應用所展示的現行文字——否則傳回 422 <kind>_outdated。重複記錄同一版本並無妨害:每一條記錄都是證明。接受 Idempotency-Key。

媒體類型application/json
object
kind
必填

Platform_terms | platform_privacy | network_consent | privacy_notice

string
version
必填
恰好符合一項:
string
sha256
string
範例自動產生
{
"kind": "example",
"version": "example",
"sha256": "example"
}

已記錄

媒體類型application/json
object
recorded
必填
boolean
kind
必填
string
action
必填
string
version
必填
string
at
必填
string 格式: date-time
範例自動產生
{
"recorded": true,
"kind": "example",
"action": "example",
"version": "example",
"at": "2026-04-15T12:00:00Z"
}

請求無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

缺少憑證或憑證無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

不允許此操作

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

此類型尚無已發布的文件(not_found)

文件類型未知、缺少版本,或版本並非現行版本(<kind>_outdated)

超出速率限制

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

內部錯誤

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}